Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1591 - SCSI generic devices (sg) are not compliant with MAKEDEV man
Summary: SCSI generic devices (sg) are not compliant with MAKEDEV man
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: MAKEDEV
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-18 03:22 UTC by aspicht
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-26 00:29:43 UTC


Attachments (Terms of Use)

Description aspicht 1999-03-18 03:22:17 UTC
MAKEDEV generates SCSI generic devices with a letter:
/dev/sga, /dev/sgb, ...
The man page MAKEDEV(8) says that "the devices created are
sg0 through sg7".
The "Linux Allocated Devices" document
(ftp://ftp.kernel.org/pub/linux/docs/device-list/devices.txt
) in the kernel source Documentation says that it should be
/dev/sg0, /dev/sg1, ...
Other Linux distributions already set it to sg0, sg1...
To keep a compatibility with previous version, an idea would
be to use symbolic links.

Comment 1 Michael K. Johnson 1999-03-26 00:05:59 UTC
Well, there hasn't always been agreement on the right set of
names, but it makes sense to get the most compatibility with
the most software by having both sets of names.

Comment 2 Michael K. Johnson 1999-03-26 00:29:59 UTC
Will be fixed in MAKEDEV-2.4 and dev-2.7.1


Note You need to log in before you can comment on or make changes to this bug.